Bug 138590 - megaraid driver doesn't recognize logical RAID drives on install
megaraid driver doesn't recognize logical RAID drives on install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 21:09 EST by Richard L. Goerwitz III
Modified: 2015-01-04 17:11 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 08:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Modified installation image creation steps (2.77 KB, text/plain)
2004-12-02 23:03 EST, James J. Moore
no flags Details

  None (edit)
Description Richard L. Goerwitz III 2004-11-09 21:09:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Megaraid drivers seem unable to recognize perfectly valid logical RAID
drives on install, and the FC3 install bombs with a message that no
bootable drives have been found.

Bugs 135484 and 136868 describe this problem for FC3-rc3.  This bug
made it, unfixed, into the release version.  Hence this bug report for
the FC3 release version.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Find unit w/ megaraid card (e.g., Dell Perc 2/Si and other units)
2. Define a logical drive
3. Insert FC3 release install disk1 and attempt install
    

Actual Results:  FC3 install says there are no bootable drives.

This problem is not in FC2.

Additional info:

FC3 is basically unusable on machines that trigger this bug.  It
simply won't install.
Comment 1 Dave Mull 2004-11-09 23:42:02 EST
The Dell PERC series, the HP NetRAID series, and the MegaRAID Express
500 use the megaraid driver as they are all either LSI or OEM of LSI
MegaRAID cards. They all seem to experience the same issue of not
recognizing logical drives with the driver included in FC3. This is
not firmware dependant as different firmware results in the same
symptom. The installer will report "No drives found" when trying to
use the SCSI RAID controller. 

Apparently this was an update to the installer for FC3 that fails to
work with these controllers. It recognizes there is a RAID controller
present but unlike the driver in FC1 and FC2 it is not able to see or
use the presented logical drives. In testing, both the NetRAID 1M and
the MegaRAID Express 500 (on various versions of firmware) display the
same issue in the test system. The cards work fine with the driver
used in the installation of FC1, FC2, RHEL 2.1 and RHEL 3.

This issue will likely affect anyone attempting to use any version of
these SCSI adapters with FC3.
Comment 2 Chris Adams 2004-11-10 10:17:09 EST
It looks like this is because the kernel only builds the newest
megaraid driver (version 2.20.*), but that driver doesn't support
older megaraid cards.  I haven't had a chance to look into this yet
(my only FC server with MegaRAID cards is also my FC mirror server, so
it is rather busy right now).

The current Kconfig only allows either the version 2.20 or 2.10 driver
to be built, even though they build different modules (2.20 builds
megaraid_mbox and megaraid_mm, while 2.10 builds megaraid).  It looks
like it should allow both to be built and then both included with FC
kernels.
Comment 3 Dave Mull 2004-11-10 10:44:39 EST
Reference bug # 135484  - there were major changes to the 2.20.x driver.
Comment 4 Brian Lusk 2004-11-14 08:34:10 EST
I'm the reporter of 135484... Watching another one!
Comment 5 cradford 2004-11-24 08:17:51 EST
Identical problem on bespoke built server, automatically loads 
megaraid_mm & megaraid_mbox at startup but.....
lspci "Unknown mass storage controller - American Megatrends MegaRAID 
428"
cat /proc/scsi/scsi "Attached devices:" Nothing!
Comment 6 Aaron Miller 2004-11-26 17:38:18 EST
I can report the same problem on my computer, Dell PowerEdge SC 400
with a Dell CERC ATA 100 card. During install of FC3, the system boots
off CD and loads the megaraid_mm and megaraid_mbox modules. However it
can't find a drive.

Questions:
1. Has this been acknowledged and is it being worked on?
2. Do we have a workaround that we can use to install? Is it possible
to create a driver disk and can someone post one?

Thanks!!
Comment 7 Roel Gloudemans 2004-11-30 02:40:50 EST
Another case here with a Dell PowerEdge 2400 running the latest
firmware...

I would really like to have this fixed. Since I read somewhere that
the newest FC2 kernel has the same issue I'm really going to be in
trouble when a serious kernel bug emerges...
Comment 8 James J. Moore 2004-12-02 23:03:30 EST
Created attachment 107816 [details]
Modified installation image creation steps
Comment 9 James J. Moore 2004-12-02 23:07:10 EST
I've been following this and duplicate bug posts for two weeks.  I
have several systems with Dell PERC2/DC (AMI Megaraid Enterprise 1500)
cards running either FC1 or FC2.  The first system I've tried to
upgrade to FC3 is now slated for installation at a remote site.  Out
of desperation I tried to replace the kernel in the FC3 installation
with the FC2 installation kernel.  This meant hacking the installation
images; so far I've only managed to get the initrd image to load the
correct Megaraid drivers and start the install.  Once the stage2.img
loads, the installation bombs.  In Comment #8 I attached a detailed
description of the procedures I followed in hopes that someone with
more expertise can either point out the missing steps or kindly tell
me to stop getting myself in water too deep for my abilities.
Comment 10 David Rees 2004-12-02 23:16:57 EST
I've found that the latest FC2 errata kernel works.  I upgraded a
machine with a Perc2 today from FC2 to FC3 using the following steps:

Download FC3 fedora-release and yum RPMs.
Install fedora-release and yum (need to uninstall up2date first).
Run yum upgrade.
Download the appropriate FC2 errata kernel (2.6.9-1.6_FC2 works).
Install the FC2 errata kernel (you will have to force it since the FC3
errata kernel is newer).
Make sure the FC2 errata kernel is selected by your boot loader.
Reboot.
Comment 11 James J. Moore 2004-12-03 18:10:57 EST
This worked for me too.  Thanks, David!  I didn't need to uninstall
up2date, though.  Looking forward to definite news on whether/when FC3
kernel will be fixed.
Comment 12 W.C. Epperson 2004-12-04 00:49:03 EST
Also confirmed on Precision 530 with Dell 7825P Megaraid (aka "466")
card.  All flashed up on both system and card (card tried with both
Dell and LSI firmware/Bios).  No drives found in mass_storage or i20
emulation with FC3.
Comment 13 Miro Halas 2004-12-04 01:55:27 EST
I am having exactly the same problem with DELL 600SC with CERC
ATA100/4CH card. It worked just fine under FC1 and FC2.
Comment 14 Miro Halas 2004-12-05 01:03:40 EST
Update to my previous post. I have received Novell Suse Enterprise
Server 9 evaluation kit and had the same problem. Then I searched
their knowledge base and found this solution:

http://support.novell.com/cgi-bin/search/searchtid.cgi?/en/2004/09/tsaupe_sles9_megaraid.html

--------------
If this problem arises during the installation, select:

Manual Installation

Once in the manual installation menu, select the options:

Kernel modules (hardware drivers)

Load IDE/Raid/SCSI driver

Choose the module: megaraid-old. Then start the installation by selecting:

Start installation / system

The system should start normally the next time you boot your machine
after the installation.

If this is not the case, load the driver megaraid-old again via the
manual installation menu and start the system from there.

If this problem arises while the system is running, open the file:

/etc/sysconfig/kernel

search for the line INITRD_MODULES, and replace the driver megaraid with:

megaraid-old

Finally, create a new initial ramdisk by executing the command:

mk_initrd

--------------

I have followed the steps and everything worked perfectly. I just hope
similar fix exists for FC3.
Comment 15 Miro Halas 2004-12-05 05:58:12 EST
I investigated this for couple hours and basically my understanding is
that I need to create driver disk for the megaraid-old driver. I have
the source code for megaraid-old.c (and all the other files) from the
Suse distro running on the box and I have also all the necessary info
to populate the pci* file (KDE Control Center is reporting that the
Vendor ID is 69662 and Device ID is 72032, not sure if this is in hex
or not).

What I do not know is how to create the driver disk. I have followed
few outdated pages for earlier RH releases and none of them works (the
build process basically fails). Is there any information how to create
driver disk for FC3? This seems to be it should be pretty
straightforward to compile single driver in drivers/scsi but at this
point it is beyond my knowledge. Any assistence is appreciated.
Comment 16 W.C. Epperson 2004-12-08 20:56:40 EST
Any progress or response on the driver disk, Miro?  It's driving me
nuts that I'm running FC3 on an ancient Poweredge 6300 quad and a
500Mhz Gateway laptop, and can't put it on my nice Precision 530
without giving up my RAID.  If you've already tried following the RH
doc, I probably couldn't help much.
Comment 17 Aaron Miller 2004-12-09 09:02:03 EST
Just saw a comment from Dave Jones on bug #135484 which is the same as
this just registered against FC3 Test 3.

Additional Comment #22 From Dave Jones  on 2004-12-08 19:27 -------
the current tree in cvs has both drivers enabled. It'll go out soon to
updates-testing.

So it looks like Redhat has acknowldged the problem and working and a
solution should be released soon!!!
Comment 18 Chris Adams 2004-12-09 09:18:24 EST
Also see bug #141969 - I submitted a patch to the PCI ID list to use
the old driver for cards that the new driver doesn't support.
Comment 19 W.C. Epperson 2004-12-09 18:17:03 EST
Thanks, Aaron and Chris!  That's just what a lot of us wanted to
know--I can wait a bit for FC3 on the workstation if they're not going
to trash my RAID card.
Comment 20 W.C. Epperson 2004-12-15 11:14:24 EST
Miro, Paul Howarth offers his hand-rolled FC3 driver disk for advansys
SCSI as an example:

http://www.city-fan.org/ftp/contrib/drivers/advansys/advansys-driverdiskzip
Comment 21 Joseph W. Breu 2004-12-16 12:25:13 EST
I also ran into this problem.  When are the new install images planned
for release?
Comment 22 Chris Adams 2004-12-16 13:33:38 EST
I don't expect to see new install images (those are rare).  However, I
have made a driver disk that should work (I haven't had a chance to
test it yet because my test system doesn't boot the FC3 installer at all).

You can try my FC3 MegaRAID driver disk at:

http://www.iruntheinter.net/files/misc/megaraid-dd.zip

Just unzip the files to the top level of a DOS floppy and tell the
installer you have a driver disk.  I'd appreciate any feedback.
Comment 23 Orion Poplawski 2004-12-16 13:49:22 EST
I've been building my own install images for quite a while.  See
http://www.techonthenet.com/linux/fc2_update.htm for starters

I think you'll still need to wait for a new kernel package or build
one yourself.
Comment 24 Chris Adams 2004-12-16 21:42:42 EST
For anyone that has downloaded my driver disk, download it again.  I
accidentally built it on FC2 (with a different gcc) so the modules
didn't match the kernel and wouldn't load.

I think it should work now (although I still haven't been able to test
it myself).
Comment 25 W.C. Epperson 2004-12-18 10:30:29 EST
When I do that literally, to a DOS disk, the installer looks at it,
then just puts up the driver disk prompt again.  Don't you have to dd
it or something?  I don't remember using a DOS disk for drivers. Have
an 11:00 tee time, can't look it up right now.
Comment 26 W.C. Epperson 2004-12-18 16:49:15 EST
Alright!  What seems to work is:

mformat a:
mount /mnt/floppy
cp * /mnt/floppy
umount /mnt/floppy

This after unloading the zip file from Chris into a directory on a RH9
machine.  Don't know why this combination worked, others similar
didn't.  Guess it wants a FAT filesystem, with Unix-style files. 

Then on target machine "linux dd" works like a charm to get the disks
up.  You see the megaraid driver load, and megaraid_mbox a couple of
steps late but it doesn't seem to get in the way.  Running the install
now.  Will report back on whether I get a bootable system.
Comment 27 W.C. Epperson 2004-12-18 18:16:38 EST
FC3 with this device disk on Dell Precision 530 and Dell 7825P
(Megaraid Express 200 Model 466--flashed up from LSI) installs and
reboots. Looks good. Thanks, Chris.
Comment 28 Aaron Miller 2004-12-20 09:22:09 EST
Driver disk works successfully for me too. I used a WindowsXP machine
to unzip the driver disk to a FAT floppy and it linux dd worked like a
charm. Much thanks go to Chris. 

Of course, this doesn't close the bug -- yet. There is still not an
official kernel released that supports the old megaraid drivers. 

Also, is there an official place for Chris to upload his driver disk
to? What is the correct formal way to have this resolved?
Comment 29 Chris Adams 2004-12-21 11:45:36 EST
The latest kernel in updates/testing/3 does have the megaraid driver;
it is just a matter of time until the released kernel has it as well
(thanks to Dave Jones for that).  I have submitted a patch for hwdata,
but I haven't seen any action on that yet.

I don't think there has ever been any official driver disk
distribution point; even when they've been done by RH folks they have
shown up on people.redhat.com.
Comment 30 David Rees 2005-01-04 17:17:11 EST
I can confirm that the latest FC3 errata kernel 2.6.9-1.724_FC3
megaraid driver works where previously only the last FC2 errata kernel
worked on a Dell machine I've got here, although I do get this stack
trace on bootup in dmesg:

kobject_register failed for megaraid (-17)
 [<c01b1c7b>] kobject_register+0x31/0x39
 [<c020f0fd>] bus_add_driver+0x36/0x99
 [<c01ba392>] pci_register_driver+0x6e/0x8a
 [<f880205b>] megaraid_init+0x5b/0x7f [megaraid_mbox]
 [<c0134bd9>] sys_init_module+0x116/0x238
 [<c0105cf3>] syscall_call+0x7/0xb
megaraid: could not register hotplug support.
Comment 31 Peter Singer 2005-01-04 23:05:10 EST
The best solution to this issue till the next major build is the dd 
download in "Additional Comment #22"

I have three test machines a Dell, and HP and a no name with the same 
problem with all of them and the dd resolves it.

Good one Chris!
Comment 32 Shane 2005-01-11 13:44:21 EST
I've got a custom box with an Intel L440GX motherboard.  I'm running
the LSI MegaRAID Express 500 (id 475) (similar to the Dell PERC/SC, I
think) cards.

I went through heck to get things working with FC3.  Ended up dumping
the MegaRAID for the boot disk (sadly!) and using the onboard SCSI
controller.  Now I'd like to get the thing going so I can attach my
RAID arrays to the system as a secondary (non-boot) disk.  The
megaraid_mm and megaraid_mbox load, but don't recognize the RAID array
- because I need the megaraid_old driver.  

Is there any way that the DD disk referenced above can be used to load
the megaraid_old driver onto an existing running system?  Or is there
a pointer somewhere which contains directions on getting the old
driver loaded into an existing FC3 system?  

I am currently running the 2.6.9-1_724_FC3smp kernel on the box. 
Thanks greatly for any help or pointers!
Comment 33 Chris Adams 2005-01-11 13:54:10 EST
There is no "megaraid_old" driver; that was simply a proposal when the
new & improved megaraid_mm/megaraid_mbox driver was introduced
(megaraid_old was to support the old cards).  The old driver is still
simply called "megaraid".

Once you have an installed system, get the latest update kernel.  The
"megaraid" driver is now built as well, so you should just be able to
put "alias scsi_hostadapter1 megaraid" in /etc/modprobe.conf and have
it recognized.
Comment 34 Shane 2005-01-11 14:32:05 EST
Chris - thanks for the pointers!  I updated (up2date) to the
2.6.10-1_737_FC3smp kernel.  Then edited /etc/modprobe.conf line:

alias scsi_hostadapter1 megaraid_mbox

now shows:

alias scsi_hostadapter1 megaraid

Reboot - and viola!  Thanks for the pointers.  This was a 2 week
nightmare struggle to get this freakin' thing working!
Comment 35 Werner Schmidt 2005-04-12 15:52:32 EDT
It looks like this bug, which was fixed for kernel 2.6.10-1.770_FC3 is now back to haunt us in the 
newly released kernel 2.6.11-1.14_FC3
Comment 36 W.C. Epperson 2005-04-13 21:45:04 EDT
Yes, just yum updated to 2.6.11-1.14_FC3 and got the "No volume groups found"
error, followed by the predictable "mount: error 6 mounting ext3", "mount: error
2 mounting none", "switchroot: mount failed 22", "umount /initrd/dev failed: 2",
and a kernel panic.  Working on it now with 770 2.5.10-1.770 rebooted.
Comment 37 W.C. Epperson 2005-04-15 20:03:29 EDT
Here's a fix.

If you've done a kernel update to 2.6.11-1.14_FC3 and are getting a kernel panic
after "No volume groups found" on an older megaraid card, the fix is pretty
easy, because the old megaraid driver is actually getting built, just not put
into the initrd image.

Boot your previous kernel by interrupting the countdown screen and selecting it.
Fix /etc/modprobe.conf to alias to megaraid instead of megaraid_mbox: 
[root@home etc]# diff modprobe.conf modprobe.conf.-1
1c1
< alias scsi_hostadapter megaraid
---
> alias scsi_hostadapter megaraid_mbox
4c4
< alias scsi_hostadapter2 megaraid
---
> alias scsi_hostadapter2 megaraid_mbox

I.E. just take the "_mbox" off the alias lines for megaraid_mbox.

Then rebuild the initrd image:
/sbin/mkinitrd -v -f  /boot/initrd-2.6.11-1.14_FC3.img 2.6.11-1.14_FC3
If you're running multiprocessor kernel, also do:
/sbin/mkinitrd -v -f  /boot/initrd-2.6.11-1.14_FC3smp.img 2.6.11-1.14_FC3smp

Should boot fine now.  My Dell Precision 530 with PERC2/DC does.  Hope this helps.
Comment 38 DinnerDone 2005-04-19 12:51:15 EDT
(In reply to comment #37)
> Here's a fix.
> If you've done a kernel update to 2.6.11-1.14_FC3 and are getting a kernel 
panic
> after "No volume groups found" on an older megaraid card, the fix is pretty
> easy, because the old megaraid driver is actually getting built, just not put
> into the initrd image.
> Boot your previous kernel by interrupting the countdown screen and selecting 
it.
> Fix /etc/modprobe.conf to alias to megaraid instead of megaraid_mbox: 
> [root@home etc]# diff modprobe.conf modprobe.conf.-1
> 1c1
> < alias scsi_hostadapter megaraid
> ---
> > alias scsi_hostadapter megaraid_mbox
> 4c4
> < alias scsi_hostadapter2 megaraid
> ---
> > alias scsi_hostadapter2 megaraid_mbox
> I.E. just take the "_mbox" off the alias lines for megaraid_mbox.
> Then rebuild the initrd image:
> /sbin/mkinitrd -v -f  /boot/initrd-2.6.11-1.14_FC3.img 2.6.11-1.14_FC3
> If you're running multiprocessor kernel, also do:
> /sbin/mkinitrd -v -f  /boot/initrd-2.6.11-1.14_FC3smp.img 2.6.11-1.14_FC3smp
> Should boot fine now.  My Dell Precision 530 with PERC2/DC does.  Hope this 
helps.

I downloaded Chris' files, and cannot get the driver to load. I am trying to 
install FC3 on a Dell PE 2300. I have initialized the drives etc. When I get 
to the boot prompt, I have tried typing Linux dd or just hitting Enter, to no 
avail. When it prompts my for a driver disk, I insert and it reads it, then 
a "Loading Megaraid driver" box appears and the install just hangs.

The disk was downloaded to an XP machine and then on to a Floppy. I even tried 
to load the files on an image drive and from there to the Floppy to no avail. 

I am using the images downloaded about 2 weeks ago. Is there another .ISO file 
I can download that includes support for the older megaraid? Any help to this 
total newcomer to FC3 and Linux in general greatly appreciated
Comment 39 Jason 2005-04-27 15:09:42 EDT
FC4T2 is not installable on my HP Netservers because of this issue.  Please fix
this for FC4.  I think this should be a bug blocker for the FC4 release.

Thanks
Comment 40 Rafael Barrero 2005-04-28 06:52:26 EDT
Is anyone else having the same problem on the x86_64 platform? I'm wondering if the solution from 
Comment #22 will solve my problems considering i'm using a 64bit kernel.

Also, seeing as how my server doesn't have a floppy drive, can I simply dump the drivers onto a cd and 
have 'linux dd' from from the cd-rom instead?

 Thanks!
Comment 41 Rafael Barrero 2005-04-28 09:56:50 EDT
I burned Chris' files to cd and loaded it when prompted... however, it says that no appropriate devices 
where found for the drivers. 

In the logs (Alt+F3), it says:
"Module to insert megaraid"
"Module(s) not found megaraid"

Ideas?
Comment 42 Tamas Hegedus 2005-05-09 17:22:36 EDT
Dear All,

I have the same DELL PE/FC3/RAID install problem.
The driver disk just hangs.
Do you know any solution?

Thanks,
Tamas

> I downloaded Chris' files, and cannot get the driver to load. I am trying to 
> install FC3 on a Dell PE 2300. I have initialized the drives etc. When I get 
> to the boot prompt, I have tried typing Linux dd or just hitting Enter, to no 
> avail. When it prompts my for a driver disk, I insert and it reads it, then 
> a "Loading Megaraid driver" box appears and the install just hangs.
> 
> The disk was downloaded to an XP machine and then on to a Floppy. I even tried 
> to load the files on an image drive and from there to the Floppy to no avail. 
> 
> I am using the images downloaded about 2 weeks ago. Is there another .ISO file 
> I can download that includes support for the older megaraid? Any help to this 
> total newcomer to FC3 and Linux in general greatly appreciated

Comment 43 Jason 2005-05-10 19:03:02 EDT
FC4T3 still has this problem.
Comment 44 Arief Jaya 2005-05-23 00:40:11 EDT
(In reply to comment #24)
> For anyone that has downloaded my driver disk, download it again.  I
> accidentally built it on FC2 (with a different gcc) so the modules
> didn't match the kernel and wouldn't load.
> I think it should work now (although I still haven't been able to test
> it myself).

Chris Adams,
Thanks for your work. your driver disk is work as charm on my Primedesk 600sc 
with CERC ATA100/4ch when I installed FC3. as it was said that FC4T3 still has 
this problem, could you explain how to fix this manually or how to make the 
driver disk so I can fix this problem by myself. but if you willing to provide 
the driver disk again for FC4 it would be very very appreciated. Thanks for 
your contribution
Comment 45 Jeremy Katz 2005-05-23 19:13:39 EDT
This should be fixed for FC4.  You should be able to test with the devel tree as
of tomorrow.
Comment 46 Chris Adams 2005-05-24 21:33:13 EDT
I can confirm that today's devel tree does install with no problems on a system
here with an old MegaRAID controller using the "megaraid" driver.
Comment 47 drbyte 2005-05-25 13:05:55 EDT
I'am quite new to Linux,
I have the same problem as above on my HP LH300 server.
Can or will someone explane me where i can download the "devel tree", and how to
install this, or al the steps wich are needed to install this.
I've been playing around with al lot of linux distro's but none of them will
install.
The only one i got running is Debian R3C5, but debian is very tough to learn...:-)

Thanx for the reply's
Comment 48 drbyte 2005-05-25 16:45:29 EDT
I'am quite new to Linux,
I have the same problem as above on my HP LH300 server.
Can or will someone explane me where i can download the "devel tree", and how to
install this, or al the steps wich are needed to install this.
I've been playing around with al lot of linux distro's but none of them will
install.
The only one i got running is Debian R3C5, but debian is very tough to learn...:-)

Thanx for the reply's
Comment 49 subutcy 2005-05-27 08:00:24 EDT
(In reply to comment #22)
> I don't expect to see new install images (those are rare).  However, I
> have made a driver disk that should work (I haven't had a chance to
> test it yet because my test system doesn't boot the FC3 installer at all).
> You can try my FC3 MegaRAID driver disk at:
> http://www.iruntheinter.net/files/misc/megaraid-dd.zip
> Just unzip the files to the top level of a DOS floppy and tell the
> installer you have a driver disk.  I'd appreciate any feedback.


I am trying to  install redhat 9 on perc 4e/Di raid controller (megaraid2) 
with above link driver but it hangs after reading the driver disk.Can you make 
driver disk for above spec please ...


Comment 50 Jacob 2005-06-06 19:08:41 EDT
Running on a Dell Poweredge 2300 with a PERC Megatrade RAID card.  I am 
getting the exact same problem that everyone has been mentioning and have used 
Chris' driver disk and it won't load.  I'm trying to install FC4T3, but it 
won't recognize the card.  Any ideas?
Comment 51 Jacob 2005-06-06 19:15:42 EDT
In addition to what I mean by not being able to load the driver disk is.  It 
starts to load the driver then it pops up the list of loaded drivers, but the 
new driver is not in it.  But, the megaraid driver is in the list of drivers 
available.  Even if this is selected it still doesn't show up in the list of 
loaded drivers.
Comment 52 Jacob 2005-06-07 01:25:56 EDT
I've been able to load Red Hat 7.3 and FC1 on this computer, but I cannot get 
any other version to work.  If anyone has any ideas let me know.
Comment 53 Arief Jaya 2005-06-07 03:23:26 EDT
altough FC3 can be installed to PowerEdge 600sc using Chris Adams disk driver, 
how can I monitor my hard drive if it is failed, anyone can suggest software 
that can monitor megaraid?
Comment 54 Jason 2005-06-07 11:31:52 EDT
I can tell you smartd will not monitor the hard drives.  I opened bugzilla
124595 about this over a year ago and not much has happened since then.  In a
nutshell, smartd cannot see the hard drives through the raid controller.  It
does appear that the code to allow smartd to see the individual hard drives is
in the megaraid driver, but without a little code in smartd, smartd cannot see
the hard drives.
Comment 55 Anthony Hildoer 2005-06-08 21:07:53 EDT
(In reply to comment #22)
> I don't expect to see new install images (those are rare).  However, I
> have made a driver disk that should work (I haven't had a chance to
> test it yet because my test system doesn't boot the FC3 installer at all).
> 
> You can try my FC3 MegaRAID driver disk at:
> 
> http://www.iruntheinter.net/files/misc/megaraid-dd.zip
> 
> Just unzip the files to the top level of a DOS floppy and tell the
> installer you have a driver disk.  I'd appreciate any feedback.
> 


This also worked for me Dell PowerEdge 6300 PERC 2 
Comment 56 Arief Jaya 2005-06-18 12:31:14 EDT
FC4 cannot recognize my CERC ATA100/4ch IDE RAID, altough I can use Chris 
Adams disk driver to install FC3 but not FC4, it seems this bug hasn't been 
fixed yet. so I will stay with FC3.
Comment 57 Dan Radez 2005-06-21 11:28:07 EDT
I have succesfully begun my install of FC4 on a Dell 600SC with a CERC
ATA100/4ch IDE RAID card. To make it happen I had to run the installer with the
command "linux noprobe" so that it didn't assume the megaraid_mbox driver. The
megaraid driver is provided on the install disc so when it tells you it can't
find your harddrive just pick out the megaraid driver and it all worked for me
from there.

I did get an error when it tried to write the new protition tables the firsttime
but I couldn't recreate the error so...

Hope this helps
Comment 58 Arief Jaya 2005-06-24 20:53:25 EDT
(In reply to comment #57)
> I have succesfully begun my install of FC4 on a Dell 600SC with a CERC
> ATA100/4ch IDE RAID card. To make it happen I had to run the installer with 
the
> command "linux noprobe" so that it didn't assume the megaraid_mbox driver. 
The
> megaraid driver is provided on the install disc so when it tells you it can't
> find your harddrive just pick out the megaraid driver and it all worked for 
me
> from there.
> I did get an error when it tried to write the new protition tables the 
firsttime
> but I couldn't recreate the error so...
> Hope this helps

My machine has the same spefication with yours (PowerEdge 600sc and CERC 
ATA100/4ch IDE RAID with 4 disks & Raid level 5), but I cant install FC4 
altough I tried steps that you told, using linux noprobe. FC4 fail after that 
and tell me to reboot my computer. I also tried both megaraid driver and 
megabox_mbox driver, both failed =(

Comment 59 Nino Margetic 2005-06-26 12:43:19 EDT
> To make it happen I had to run the installer with the command "linux noprobe" 
> so that it didn't assume the megaraid_mbox driver....

*** This procedure worked fine for me (PE1600SC w/ CERC ATA100/4ch and 3 disks
in a RAID5 configuration...

--Nino
Comment 60 Nino Margetic 2005-06-26 12:50:39 EDT
Whilst on the subject of FC4 and CERC ATA100/4ch : I have a question - has
anyone got any ideas how to monitor/manage the CERC controller from FC4? I tried
various versions (A4, A6, A8) of DELL CERC/PERC utilities (e.g. dellmgr,
megamon) but they all need /dev/megaraid0 which does not get created on FC4...

--Nino
Comment 61 Joseph W. Breu 2005-06-29 11:49:25 EDT
I just downloaded FC4 and tried this and I get a kernel oops 'Unable to handle 
kernel paging request' on a x86_64 box...

I guess I'll keep trying...
Comment 62 W.C. Epperson 2005-07-25 19:21:55 EDT
Yum update to 2.6.12-1.1372_FC3 produces broken megaraid_mbox alias and initrd
problem noted above, but the modprobe.conf and mkinitrd fix in comment 37 no
longer works.  Details in bug 135484.
Comment 63 W.C. Epperson 2005-07-31 18:03:16 EDT
Latest mkinitrd-4.1.18.1-1 does allow modprobe.conf and mkinitrd fix in comment
37 of bug 138590 to work again.  Can now run kernel-smp-2.6.12-1.1372_FC3 with
legacy megaraid after applying fix.  Since fix is necessary only because kernel
rpm install changes existing megaraid aliases to megaraid_mbox in modprobe.conf,
it would be nice if it stopped doing that.
Comment 64 scot 2005-11-09 01:00:15 EST
I am tryng to instal redhat Linux 9.0 on dell poweredge 6850, First i had some 
problem with Perc 4e/Di,after solving that problem with driver ,i could 
install RH9 on the server but X windows doesn't run and i have just text base 
environment, I also made some change in "XF86config" but it doesn't work.

What is your idea about that?
Comment 65 Chris Hyden 2006-01-11 21:15:07 EST
(In reply to comment #22)
> I don't expect to see new install images (those are rare).  However, I
> have made a driver disk that should work (I haven't had a chance to
> test it yet because my test system doesn't boot the FC3 installer at all).
> You can try my FC3 MegaRAID driver disk at:
> http://www.iruntheinter.net/files/misc/megaraid-dd.zip
> Just unzip the files to the top level of a DOS floppy and tell the
> installer you have a driver disk.  I'd appreciate any feedback.


Chris, thanks a ton!  I tried multiple times to install using the RH7 driver 
for the megaraid-1m available from HP while installing FC3 to no avail.  The 
first time I tried using your drivers, no problem.  
Comment 66 Dave Jones 2006-01-16 17:23:09 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 67 Dave Jones 2006-02-03 01:05:18 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 68 Chris Adams 2006-02-04 08:56:22 EST
As the old "megaraid" driver is included in FC4 and the current development
tree, I think this issue is resolved.
Comment 69 Shane 2006-02-04 16:54:53 EST
Looking for some feedback from those of you who have been battling this issue. 
I have 4 production FC3 systems, which after much pain and suffering, was
finally able to get my MegaRAID Express 500 controllers working in, and driving
my RAID 5 arrays.

I'm getting ready to upgrade the box to FC4 but I'm worried that the megaraid
drivers are going to give me fits again, and I can't afford to have the downtime
on them to work it out.

Does anyone out there have any experience with FC4 (2.6.15) and the MegaRAID
Express 500 card? 

TIA.
Comment 70 Shad O'Neil 2006-03-21 14:28:54 EST
FC4 worked fine for me, FC5 now has the problem again.
Comment 71 Sergiu Strat 2006-04-06 04:04:15 EDT
The problem appears again on FC5 setup.

How can I make it work against the FC5 installer's kernel? I did not found the
source code for this controller.

I have an Intel Server with an embeded LSI Logic S-ATA II RAID controller. Why
RedHat does not include this driver on normal distro? There are a lot of Intel
or Dell servers that have this problem.

It works on RedHat 7-9, RHEL 1-4 but not on FC5.

Is the Software RAID a better alternative?
Comment 72 Alexandru Ciobanu 2006-07-08 07:23:11 EDT
I've managed to install FC5 on a Dell PowerEdge 2400. To do this I've started
the setup with 'linux text noprobe selinux=0' and loaded the following modules:
'megaraid', 'aic7xxx'. I've received some deprecation warnings but other than
that everything is running smoothly.
Comment 73 Dan Buettner 2006-11-09 21:10:32 EST
(In reply to comment #72)
> I've managed to install FC5 on a Dell PowerEdge 2400. To do this I've started
> the setup with 'linux text noprobe selinux=0' and loaded the following modules:
> 'megaraid', 'aic7xxx'. I've received some deprecation warnings but other than
> that everything is running smoothly.

Can you tell me, are you using "mass storage" or "I20" mode on your megaraid adapter?  I'm having a 
terrible time getting my installation to remain stable on a 2400 with PERC2/DC using mass storage and 
the megaraid driver.  Under both FC5 and FC6, I can install but after a couple of reboots my filesystems 
become corrupt and all is lost.

Note You need to log in before you can comment on or make changes to this bug.